Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.atp.auth
Class AuthenticationManager

    java.lang.Object
      |
      +--com.ibm.atp.auth.AuthenticationManager

public class AuthenticationManager
extends java.lang.Object

The `AuthenticationManager` class is the manager class of authentication.

Version:
  1.00 $Date: 2001/07/28 06:33:42 $
Author:
  ONO Kouichi

Constructor Summary
`AuthenticationManager()`

Method Summary
`static void` | `clear()` Un-register all entries.
`static java.lang.String` | `getDomainName(ServerIdentifier id)` Gets doman name of registered server identifier.
`static void` | `register(ServerIdentifier id, java.lang.String domain)` Register a server identifier with a domain name.
`static void` | `unregister(ServerIdentifier id)` Un-register a server identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationManager

    public AuthenticationManager()

Method Detail

### clear

    public static final void clear()

  Un-register all entries.

### getDomainName

    public static final java.lang.String getDomainName(ServerIdentifier id)

  Gets doman name of registered server identifier.
  Parameters:
    `id` - server identifier to be registered as authenticated
  Returns:
    domain name the server belongs

### register

    public static final void register(ServerIdentifier id,
                                      java.lang.String domain)

  Register a server identifier with a domain name.
  Parameters:
    `id` - server identifier to be registered as authenticated
    `domain` - domain name the server belongs

### unregister

    public static final void unregister(ServerIdentifier id)

  Un-register a server identifier.
  Parameters:
    `id` - server identifier to be registered as authenticated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD